Subject: Re: [pim] IGMP Querier election, can it happen with any Query type or only general query

From: Linus Lüssing <[email-masked]>
Date: Sun, 1 Aug 2021 13:33:12 +0200

Hi Mankamana,

On Fri, Jul 30, 2021 at 03:45:43AM +0000, Mankamana Mishra (mankamis) wrote:
> All,
> 
> Had question about  Querier election for IGMP. I do not think we have clearly
> mentioned in IGMP V3 RFC, that Querier election on LAN MUST be happening based
> on which query packet ?
> 
>  
> 
> Does it make sense to make it MUST have only with General Query. And MUST not
> do with GSQ or GSSQ ?

The Linux bridge currently does this, too. It only selects a
querier through general queries.

But from reading through RFC3810, it sounds to me that the authors
assumed that only a selected querier sends query messages.

In theory another node should be able to maintain the same state as a
selected querier if it sends Multicast Router Advertisements. But
of course in reality, Multicast Router Discovery (RFC4286) is not that
widely implemented yet, so this might not work with all switches.

It would be nice if there were an explicit way to signalize that
a query is not triggering querier election. To avoid mixing the
multicast router and querier roles. The S flag goes in
this direction, however it explicitly says "Nevertheless, it does
not suppress the querier election".

Regards, Linus